# Get Contract details

## getcollections <a href="#getcollections" id="getcollections"></a>

Get Contract details for the specified `transaction_gdn_id`.

## Basic Information <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">Property</th><th width="260">Detail</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getcollections</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **R**equest parameter <a href="#request" id="request"></a>

<table><thead><tr><th width="146">Parameter</th><th width="136">Type</th><th width="104">Required</th><th width="247">Detail</th></tr></thead><tbody><tr><td>transaction_gdn_ids</td><td>array[string]</td><td>yes</td><td><code>transaction_gdn_id</code> of target NFT</td></tr></tbody></table>

## Sample requests <a href="#sample-request" id="sample-request"></a>

```json
{
    "transaction_gdn_ids": ["cf7faf94-a5ec-462c-ad06-1bd772fefe21"]
}
```

## Example of successful response <a href="#response" id="response"></a>

```json
{
  "requests": {
      "transaction_gdn_ids": [
          "cf7faf94-a5ec-462c-ad06-1bd772fefe21"
      ]
  },
  "collections": [
      {
          "transaction_gdn_ids": "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
          "contract_address": "0x0000000000000000000000000000000000000000",
          "name": "contract name",
          "blockchain": "polygon",
          "wallet_address": "0x1111111111111111111111111111111111111111",
          "enable_api": true,
          "enable_transfer": true,
          "description": "",
          "image": ""
      }
  ]
}
```

## Example of response in case of failure(status code 400) <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "Invalid request body"
  }
}
```
